Bug 816334 - Review Request: python-django-authenticator - Authentication client for django
Review Request: python-django-authenticator - Authentication client for django
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-04-25 16:03 EDT by Matthias Runge
Modified: 2012-06-06 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 15:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-04-25 16:03:43 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-authenticator.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-authenticator-0.1.5-1.fc17.src.rpm
Description: 
authentication client for django

Note: this module is not yet ready for use in production.

this is a review required for package renaming.

[mrunge@sofja SPECS]$ rpmlint ./python-django-authenticator.spec ../SRPMS/python-django-authenticator-0.1.5-1.fc17.src.rpm ../RPMS/noarch/python-django-authenticator-0.1.5-1.fc17.noarch.rpm 
python-django-authenticator.src: W: spelling-error %description -l en_US authopenid -> authorized
python-django-authenticator.noarch: W: spelling-error %description -l en_US authopenid -> authorized
2 packages and 1 specfiles checked; 0 errors, 2 warnings.


koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=4023035
Comment 1 Thomas Spura 2012-04-28 08:16:08 EDT
Review:
- name ok
- obsoletes/provides fine
- BR ok
- R mostly ok
(I'd prefer to do a review of Django-south first, so you don't need to take care of that rename in this spec file in the future)
- license ok (some files are BSD 3-clause which is compatible with GPLv3
- noarch ok
- egg removed
- %files ok
- builds in koji (see above)
- $ rpmlint /home/tomspur/rpmbuild/SRPMS/python-django-authenticator-0.1.5-1.fc16.src.rpm /home/tomspur/rpmbuild/RPMS/noarch/python-django-authenticator-0.1.5-1.fc16.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
- source matches upstream:
a4d03d4c4c0d1dcd81a36b2b9039953b  django-authenticator-0.1.5.tar.gz

SHOULD:
- It might be possible to run nosetests.
- Query upstream to add a LICENSE file

COMMENT:
- obs_ver is unlikely to change, so I'd hardcode it in the obsoletes

---------------------------------------------------------------------

APPROVED
Comment 2 Matthias Runge 2012-04-30 15:29:38 EDT
Thanks for the review!

I'll take another look onto check-section and ask upstream to include a license file.

New Package SCM Request
=======================
Package Name: python-django-authenticator
Short Description: Authentication client for django
Owners: mrunge
Branches: devel
Comment 3 Gwyn Ciesla 2012-04-30 15:55:46 EDT
Git done (by process-git-requests).
Comment 4 Matthias Runge 2012-06-06 15:32:20 EDT
imported, built, old package deprecated and blocked. Thanks!

Note You need to log in before you can comment on or make changes to this bug.